
cc.Class({
    extends: cc.Component,

    properties: {
 
    },

   ctor(){
      this.speed = 1000;
    
    },

    // onLoad () {},

    start () {

    },

     update (dt) {
         
        var vx = this.speed*dt;
        var drgee = -20;
        var radian = drgee*180/Math.PI;
        var vy  = Math.tan(radian)*vx;

      
        this.node.rotation = drgee;
        this.node.x +=vx;
        this.node.y += vy;

     },
});
